Skip to content

getPeriodCloseChecklist

READ

Get period close checklist.

POST /api/v1/accounting/getPeriodCloseChecklist
curl -X POST '<your-host>/api/v1/accounting/getPeriodCloseChecklist' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "periodId": "string"
  }'
Response
{
  "readiness": {
    "blockers": [
      {
        "key": "string",
        "label": "string",
        "count": 0
      }
    ],
    "warnings": [
      {
        "key": "string",
        "label": "string",
        "count": 0
      }
    ]
  },
  "tasks": [
    {
      "id": "string",
      "companyId": "string",
      "accountingPeriodId": "string",
      "definitionId": "string",
      "name": "string",
      "taskType": "Manual",
      "autoCheckKey": "string",
      "sortOrder": 0,
      "required": true,
      "severity": "Warning",
      "status": "Open",
      "assigneeId": "string",
      "completedBy": "string",
      "completedAt": "string",
      "skippedReason": "string",
      "notes": "string",
      "autoCheck": {
        "autoCheckKey": "string",
        "severity": "Warning",
        "label": "string",
        "failing": true,
        "count": 0,
        "documents": [
          {
            "documentType": "Payment",
            "id": "string",
            "readableId": "string",
            "status": "string"
          }
        ]
      },
      "effectiveStatus": "Open"
    }
  ],
  "canClose": true,
  "blockingReason": "string",
  "autoTaskStates": [
    {
      "id": "string",
      "status": "Open"
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "periodId": {
      "type": "string"
    }
  },
  "required": [
    "periodId"
  ]
}